Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 11361034: DevTools: [remote debugging] emit Inspector.detached protocol message upon connectin termination. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 8 months ago by pfeldman
Modified:
4 years, 3 months ago
Reviewers:
yurys
CC:
chromium-reviews, joi+watch-content_chromium.org, Aaron Boodman, darin-cc_chromium.org, jam, chromium-apps-reviews_chromium.org
Visibility:
Public.

Description

DevTools: [remote debugging] emit Inspector.detached protocol message upon connectin termination. BUG=129539

Patch Set 1 #

Patch Set 2 : Test fixed #

Patch Set 3 : More tests fixed #

Total comments: 3

Patch Set 4 : Review comment addressed #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+44 lines, -36 lines) Patch
M chrome/browser/debugger/devtools_window.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/api/debugger/debugger_api.h View 1 chunk +0 lines, -8 lines 0 comments Download
M chrome/browser/extensions/api/debugger/debugger_api.cc View 5 chunks +6 lines, -25 lines 0 comments Download
M chrome/browser/extensions/extension_devtools_bridge.h View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_devtools_bridge.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/prerender/prerender_browsertest.cc View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/debugger/devtools_frontend_host.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/debugger/devtools_frontend_host.cc View 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/debugger/devtools_http_handler_impl.cc View 1 2 3 4 chunks +19 lines, -1 line 1 comment Download
M content/browser/debugger/devtools_manager_unittest.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/debugger/worker_devtools_manager.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M content/public/browser/devtools_client_host.h View 1 chunk +4 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 5 (0 generated)
pfeldman
4 years, 8 months ago (2012-11-01 12:46:07 UTC) #1
yurys
http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc File content/browser/debugger/devtools_http_handler_impl.cc (right): http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc#newcode117 content/browser/debugger/devtools_http_handler_impl.cc:117: base::JSONWriter::WriteWithOptions(&message, Can you provide a method in WebKit API ...
4 years, 8 months ago (2012-11-01 15:37:11 UTC) #2
pfeldman
http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc File content/browser/debugger/devtools_http_handler_impl.cc (right): http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc#newcode117 content/browser/debugger/devtools_http_handler_impl.cc:117: base::JSONWriter::WriteWithOptions(&message, We can't delegate it to the dying renderer, ...
4 years, 8 months ago (2012-11-01 16:24:48 UTC) #3
pfeldman
http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc File content/browser/debugger/devtools_http_handler_impl.cc (right): http://codereview.chromium.org/11361034/diff/2004/content/browser/debugger/devtools_http_handler_impl.cc#newcode117 content/browser/debugger/devtools_http_handler_impl.cc:117: base::JSONWriter::WriteWithOptions(&message, On 2012/11/01 15:37:11, Yury Semikhatsky wrote: > Can ...
4 years, 8 months ago (2012-11-01 16:54:32 UTC) #4
yurys
4 years, 8 months ago (2012-11-02 06:59:58 UTC) #5
lgtm

http://codereview.chromium.org/11361034/diff/12002/content/browser/debugger/d...
File content/browser/debugger/devtools_http_handler_impl.cc (right):

http://codereview.chromium.org/11361034/diff/12002/content/browser/debugger/d...
content/browser/debugger/devtools_http_handler_impl.cc:113:
WebKit::WebDevToolsAgent::inspectorDetachedEvent(
You need to make sure that WebKit is is initialized at this point to avoid
crashes like the one we had in the render process.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld a45af40d5